Validate event registration code
POST
/api/events/registration-code-validate
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.eventpoint.io/api/events/registration-code-validate"), Headers = { { "x-api-key", "<x-api-key>" }, }, Content = new StringContent("{ \"eventId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"projectId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"personId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"passCode\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/events/registration-code-validate';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"eventId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","projectId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","personId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","passCode":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.eventpoint.io/api/events/registration-code-validate \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "passCode": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”The registration code validation details.
object
eventId
null | string format: uuid
projectId
null | string format: uuid
personId
string format: uuid
passCode
null | string
Examplegenerated
{ "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "passCode": "example"}object
eventId
null | string format: uuid
projectId
null | string format: uuid
personId
string format: uuid
passCode
null | string
Examplegenerated
{ "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "passCode": "example"}object
eventId
null | string format: uuid
projectId
null | string format: uuid
personId
string format: uuid
passCode
null | string
Examplegenerated
{ "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "passCode": "example"}Responses
Section titled “Responses”OK
object
success
boolean
status
null | integer | string format: int32
message
null | string
registrationType
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
code
null | string
displayName
null | string
kind
status
completionType
integer
hasForms
boolean
hasTicket
boolean
useEventCost
boolean
registrationIsRequired
boolean
isTransferrable
boolean
canCancel
boolean
cancelByDate
null | string format: date-time
canAutoRefund
boolean
autoRefundByDate
null | string format: date-time
minutesAllowedInCart
null | integer | string format: int32
preAllocated
boolean
price
null | integer | string format: int32
currency
null | string
amountPerToHio
null | integer | string format: int32
amountPerToUser
null | integer | string format: int32
totalPaid
null | integer | string format: int32
quantity
null | integer | string format: int32
openDate
null | string format: date-time
closeDate
null | string format: date-time
publish
boolean
isLocked
boolean
ticketLock
boolean
requireEmailAddress
boolean
requireMobile
boolean
requirePersonalInfo
boolean
requirePersonalContact
boolean
requireBusinessInfo
boolean
requireBusinessContact
boolean
requireEmergencyContact
boolean
requireAlternateContact
boolean
requireGroupReg
boolean
allowGroupReg
boolean
requirePayment
boolean
allowTicketSelection
boolean
isResponseMasterTicket
boolean
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
useSysPayment
boolean
paymentType
string
usePaymentCode
boolean
requireRegistrationCode
boolean
isFacilitator
boolean
cancellationType
approvalKind
itemOrder
integer | string format: int32
hasChecklist
boolean
hasMetaFields
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
registrationPassCode
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
name
null | string
description
null | string
passcode
null | string
emailAddresses
null | string
discountAmount
null | integer | string format: int32
discountPercent
null | number | string format: double
quantity
null | integer | string format: int32
numberReserved
null | integer | string format: int32
numberRemaining
null | integer | string format: int32
numberUsed
null | integer | string format: int32
isExpired
boolean
isAvailable
boolean
openDate
null | string format: date-time
closeDate
null | string format: date-time
object
success
boolean
status
null | integer | string format: int32
message
null | string
registrationType
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
code
null | string
displayName
null | string
kind
status
completionType
integer
hasForms
boolean
hasTicket
boolean
useEventCost
boolean
registrationIsRequired
boolean
isTransferrable
boolean
canCancel
boolean
cancelByDate
null | string format: date-time
canAutoRefund
boolean
autoRefundByDate
null | string format: date-time
minutesAllowedInCart
null | integer | string format: int32
preAllocated
boolean
price
null | integer | string format: int32
currency
null | string
amountPerToHio
null | integer | string format: int32
amountPerToUser
null | integer | string format: int32
totalPaid
null | integer | string format: int32
quantity
null | integer | string format: int32
openDate
null | string format: date-time
closeDate
null | string format: date-time
publish
boolean
isLocked
boolean
ticketLock
boolean
requireEmailAddress
boolean
requireMobile
boolean
requirePersonalInfo
boolean
requirePersonalContact
boolean
requireBusinessInfo
boolean
requireBusinessContact
boolean
requireEmergencyContact
boolean
requireAlternateContact
boolean
requireGroupReg
boolean
allowGroupReg
boolean
requirePayment
boolean
allowTicketSelection
boolean
isResponseMasterTicket
boolean
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
useSysPayment
boolean
paymentType
string
usePaymentCode
boolean
requireRegistrationCode
boolean
isFacilitator
boolean
cancellationType
approvalKind
itemOrder
integer | string format: int32
hasChecklist
boolean
hasMetaFields
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
registrationPassCode
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
name
null | string
description
null | string
passcode
null | string
emailAddresses
null | string
discountAmount
null | integer | string format: int32
discountPercent
null | number | string format: double
quantity
null | integer | string format: int32
numberReserved
null | integer | string format: int32
numberRemaining
null | integer | string format: int32
numberUsed
null | integer | string format: int32
isExpired
boolean
isAvailable
boolean
openDate
null | string format: date-time
closeDate
null | string format: date-time
Example
{ "registrationType": { "kind": "Attendee", "status": "NotAvailable", "cancellationType": "ApprovalRequired", "approvalKind": "Automatic" }}object
success
boolean
status
null | integer | string format: int32
message
null | string
registrationType
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
code
null | string
displayName
null | string
kind
status
completionType
integer
hasForms
boolean
hasTicket
boolean
useEventCost
boolean
registrationIsRequired
boolean
isTransferrable
boolean
canCancel
boolean
cancelByDate
null | string format: date-time
canAutoRefund
boolean
autoRefundByDate
null | string format: date-time
minutesAllowedInCart
null | integer | string format: int32
preAllocated
boolean
price
null | integer | string format: int32
currency
null | string
amountPerToHio
null | integer | string format: int32
amountPerToUser
null | integer | string format: int32
totalPaid
null | integer | string format: int32
quantity
null | integer | string format: int32
openDate
null | string format: date-time
closeDate
null | string format: date-time
publish
boolean
isLocked
boolean
ticketLock
boolean
requireEmailAddress
boolean
requireMobile
boolean
requirePersonalInfo
boolean
requirePersonalContact
boolean
requireBusinessInfo
boolean
requireBusinessContact
boolean
requireEmergencyContact
boolean
requireAlternateContact
boolean
requireGroupReg
boolean
allowGroupReg
boolean
requirePayment
boolean
allowTicketSelection
boolean
isResponseMasterTicket
boolean
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
useSysPayment
boolean
paymentType
string
usePaymentCode
boolean
requireRegistrationCode
boolean
isFacilitator
boolean
cancellationType
approvalKind
itemOrder
integer | string format: int32
hasChecklist
boolean
hasMetaFields
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
registrationPassCode
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
name
null | string
description
null | string
passcode
null | string
emailAddresses
null | string
discountAmount
null | integer | string format: int32
discountPercent
null | number | string format: double
quantity
null | integer | string format: int32
numberReserved
null | integer | string format: int32
numberRemaining
null | integer | string format: int32
numberUsed
null | integer | string format: int32
isExpired
boolean
isAvailable
boolean
openDate
null | string format: date-time
closeDate
null | string format: date-time
Example
{ "registrationType": { "kind": "Attendee", "status": "NotAvailable", "cancellationType": "ApprovalRequired", "approvalKind": "Automatic" }}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}